### Enumeration

# Foundry TextBufferNotifyFlags

since: 1.1

#### Declaration

    enum Foundry.TextBufferNotifyFlags

#### Description

No description available.

Available since: 1.1

#### Members

`FOUNDRY_TEXT_BUFFER_NOTIFY_BEFORE_INSERT`

  Be notified before text is inserted into the underlying buffer.

  - Value: `1`
  - Available since: 1.1
`FOUNDRY_TEXT_BUFFER_NOTIFY_AFTER_INSERT`

  Be notified after text has been inserted into the underlying buffer.

  - Value: `2`
  - Available since: 1.1
`FOUNDRY_TEXT_BUFFER_NOTIFY_BEFORE_DELETE`

  Be notified before text is deleted from the underlying buffer.

  - Value: `4`
  - Available since: 1.1
`FOUNDRY_TEXT_BUFFER_NOTIFY_AFTER_DELETE`

  Be notified after text has been deleted from the underlying buffer.

  - Value: `8`
  - Available since: 1.1